summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndreas Sturmlechner <asturm@gentoo.org>2017-07-13 22:46:45 +0200
committerAndreas Sturmlechner <asturm@gentoo.org>2017-07-13 22:50:01 +0200
commitea01d07c76b705e48d8d3a4600856746ce596e95 (patch)
tree11abb713ee2d1cf09ef62389e18dd03cbac691e0 /kde-apps/calendarjanitor
parentdev-java/hawtjni-runtime: keyword ~arm64 (diff)
downloadgentoo-ea01d07c76b705e48d8d3a4600856746ce596e95.tar.gz
gentoo-ea01d07c76b705e48d8d3a4600856746ce596e95.tar.bz2
gentoo-ea01d07c76b705e48d8d3a4600856746ce596e95.zip
kde-apps: Add KDE Applications 17.04.3
Package-Manager: Portage-2.3.6, Repoman-2.3.1
Diffstat (limited to 'kde-apps/calendarjanitor')
-rw-r--r--kde-apps/calendarjanitor/Manifest1
-rw-r--r--kde-apps/calendarjanitor/calendarjanitor-17.04.3.ebuild42
2 files changed, 43 insertions, 0 deletions
diff --git a/kde-apps/calendarjanitor/Manifest b/kde-apps/calendarjanitor/Manifest
index 7dec62aea67..7c86dfef847 100644
--- a/kde-apps/calendarjanitor/Manifest
+++ b/kde-apps/calendarjanitor/Manifest
@@ -1,2 +1,3 @@
DIST akonadi-calendar-tools-17.04.2.tar.xz 221868 SHA256 92b1e679c7b483ac1571dcc78aa56f27a4f784c3cb57b4fd970ba8f8a72b72e1 SHA512 2e07398b3a645e1af212515ee8ec467b712bc64e9f32e23aba8731bda5ac0645c837508c3b99ebd4419b1300c6ccada436abe50f3957224281e02cf9aaf92384 WHIRLPOOL 5804cac0b50529092f75b1f7cdd6b32657aeb62384507d7b6c49cb09510258b1c14bf9eb2a91fac090298a1b941be2b43a13dd481005a3cdea28dc055602bf1b
+DIST akonadi-calendar-tools-17.04.3.tar.xz 222024 SHA256 9bac14cbd607d9995c34ce650e5bf4315db6ac8c2750eca72d392a4f01daeefb SHA512 49ac47c22ef3da8eb038e11426461456081ff4288bd99eb938dd8b55f5a1010c8c199b7f215290c67b092705833cc801c0964eee9005a2f093bc2f58fd9523bd WHIRLPOOL 0a4f2270f40f8b9a35c1751920600f7dd029ebc166f99e7793a84869a8de4dc175fc58b572ba767254f3da6257cdcb1080954da2c3ee6ad3faf61300337c69b4
DIST kdepim-4.14.11_pre20160611.tar.xz 14805956 SHA256 a9c3f5288efe0ccba3ffb88d4a63ac7b46a6b1ffe3c03b738ac6a53ef48e50b0 SHA512 5ed0d2f814a7aac7f9977840bcda8ba98dc66c8ffe921d30430db07b06de2850d76140a5e5fa44db09e3cb4cac09fee0d8e0e4c208b752d52aecb453a4dc1b08 WHIRLPOOL c6377c37b1a88a9d3958af5af081706e00437c3d0c28152a7e9353c49e376a3acdcdca0055d339f15287e6e101d6367a4d083b1a68162da9d4cc3d26178f62c5
diff --git a/kde-apps/calendarjanitor/calendarjanitor-17.04.3.ebuild b/kde-apps/calendarjanitor/calendarjanitor-17.04.3.ebuild
new file mode 100644
index 00000000000..8363967d9d1
--- /dev/null
+++ b/kde-apps/calendarjanitor/calendarjanitor-17.04.3.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+KDE_HANDBOOK="forceoptional" # FIXME: Check back for doc in release
+KDE_TEST="false"
+KMNAME="akonadi-calendar-tools"
+inherit kde5
+
+DESCRIPTION="Tool to scan calendar data for buggy instances"
+LICENSE="GPL-2+ handbook? ( FDL-1.2+ )"
+KEYWORDS="~amd64 ~x86"
+
+IUSE=""
+
+DEPEND="
+ $(add_frameworks_dep kcoreaddons)
+ $(add_frameworks_dep kdelibs4support)
+ $(add_frameworks_dep ki18n)
+ $(add_kdeapps_dep akonadi)
+ $(add_kdeapps_dep akonadi-calendar)
+ $(add_kdeapps_dep calendarsupport)
+ $(add_kdeapps_dep kcalcore)
+ $(add_qt_dep qtwidgets)
+"
+RDEPEND="${DEPEND}
+ !kde-apps/kdepim-l10n
+"
+
+src_prepare() {
+ kde5_src_prepare
+
+ cmake_comment_add_subdirectory doc konsolekalendar
+ sed -i -e "/console\.categories/ s/^/#DONT/" CMakeLists.txt || die
+
+ # delete colliding konsolekalendar translations
+ if [[ ${KDE_BUILD_TYPE} = release ]]; then
+ rm -f po/*/konsolekalendar.po || die
+ rm -rf po/*/docs/konsolekalendar || die
+ fi
+}